- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgDB::ImageOptions::RatioWindow Struct Reference

RatioWindow stores the window (as ratios of 0.0 to 1.0) from the overall imagery from which to extract the osg::Image. More...

List of all members.

## Public Member Functions
| RatioWindow ()
void | set (double x, double y, double w, double h)
## Public Attributes
double | windowX
double | windowY
double | windowWidth
double | windowHeight

## Detailed Description

RatioWindow stores the window (as ratios of 0.0 to 1.0) from the overall imagery from which to extract the osg::Image.

## Constructor & Destructor Documentation

osgDB::ImageOptions::RatioWindow::RatioWindow | ( |  | ) | `[inline]`

## Member Function Documentation

void osgDB::ImageOptions::RatioWindow::set | ( | double | x,
|  | double | y,
|  | double | w,
|  | double | h
| ) | `[inline]`

## Member Data Documentation

double osgDB::ImageOptions::RatioWindow::windowHeight

double osgDB::ImageOptions::RatioWindow::windowWidth

double osgDB::ImageOptions::RatioWindow::windowX

double osgDB::ImageOptions::RatioWindow::windowY

The documentation for this struct was generated from the following file:

- ImageOptions